package ch.spherIC.recurvebowsight.ui.userguide;

import android.os.Bundle;
import android.view.MenuItem;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import ch.spherIC.recurvebowsight.R;
import ch.spherIC.recurvebowsight.databinding.ActivityUserGuideRiserBinding;

public class UserGuideRiserActivity extends AppCompatActivity {

    private ActivityUserGuideRiserBinding binding;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_user_guide_riser);
        getSupportActionBar().setDisplayHomeAsUpEnabled(true);
        getSupportActionBar().setTitle(R.string.menu_userguide);

        this.binding = ActivityUserGuideRiserBinding.bind(findViewById(R.id.activity_ug_riser));

        TextView vvisV = findViewById(R.id.ugRiserVvisV);
        TextView vvisH = findViewById(R.id.ugRiserVvisH);
        TextView btnScrewHoles = findViewById(R.id.ugScrewHolesButton);
        TextView sightScrewHoles = findViewById(R.id.ugScrewHolesSight);

        vvisV.setText("1. " + vvisV.getText());
        vvisH.setText("2. " + vvisH.getText());
        btnScrewHoles.setText("3. " + btnScrewHoles.getText());
        sightScrewHoles.setText("4. " + sightScrewHoles.getText());
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {
        switch (item.getItemId()) {
            case android.R.id.home:
                this.finish();
                return true;
        }
        return super.onOptionsItemSelected(item);
    }
}